| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyPeriodScheduleRequest Class Reference
Time Destination

Modify Period Schedule request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | Name
| The name of the Period Schedule to modify. More...
xsd__string | DayScheduleName
| The name of the Day Schedule to which the Period Schedule belongs. More...
xsd__string | TimeDestinationName
| The name of the Time Destination to which the Day Schedule belongs. More...
xsd__string | StartTime
| The starting time of the period in the form "HH:MM". More...
xsd__string | StopTime
| The stop time of the period in the form "HH:MM". More...
xsd__string | DestinationName
| The generic destination with which this period is associated. More...

## Detailed Description

Modify Period Schedule request.

Used by unsp__modifyPeriodSchedule()

## Member Data Documentation

## ◆ DayScheduleName

xsd__string unsp__ModifyPeriodScheduleRequest::DayScheduleName

The name of the Day Schedule to which the Period Schedule belongs.

required: true
default value[range]: NA [1..15]

## ◆ DestinationName

xsd__string unsp__ModifyPeriodScheduleRequest::DestinationName

The generic destination with which this period is associated.

required: true

See also
  unsp__DestName

## ◆ Name

xsd__string unsp__ModifyPeriodScheduleRequest::Name

The name of the Period Schedule to modify.

required: true
default value[range]: NA [1..15]

## ◆ OperatorId

xsd__string unsp__ModifyPeriodScheduleRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ StartTime

xsd__string unsp__ModifyPeriodScheduleRequest::StartTime

The starting time of the period in the form "HH:MM".

required: true
default value[range]: NA

## ◆ StopTime

xsd__string unsp__ModifyPeriodScheduleRequest::StopTime

The stop time of the period in the form "HH:MM".

required: true
default value[range]: NA

## ◆ TimeDestinationName

xsd__string unsp__ModifyPeriodScheduleRequest::TimeDestinationName

The name of the Time Destination to which the Day Schedule belongs.

required: true
default value[range]: NA [1..15]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h